; -----------------------------------------------------------------------------
;|                                                                             |
; -----------------------------------------------------------------------------

$include (mod51)	;SFR-defines

;##################### MAIN Program #######################################
org 0
	jmp main_start

org 0003h               ;extInt0
    reti

org 000bh               ;timer0
    reti

org 0013h               ;extInt1
    ljmp 8013h          ;ext int1 of Debug-Mon
    reti

org 001Bh               ;timer1
reti

org 0023h               ;RS232
reti

org 30h

main_start:
        mov P1,#0FFh	
main_start2:
        jnb P1.0, Exit
	jnb P1.6, LSet
	clr P1.6
	sjmp LWait
LSet:
	setb P1.6
LWait:
        call wait               
        sjmp main_start2
Exit:
        mov P1,#0Fh	
	ljmp 8000h		;return to Deb51Mon

;--------------------------------------------
; wait a little bit
wait:
	push acc
        mov a,#0
wait0:
        call shortwait
        djnz acc,wait0
	pop acc
	ret

shortwait:
	push acc
        mov a,#0
shortwait0:
        anl a,#0FFh
	djnz acc,shortwait0
	pop acc
	ret


end
